Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.prophecy.ai/llms.txt

Use this file to discover all available pages before exploring further.

Properties for Snowflake connections are specified in the properties object when creating or updating a connection. All properties are nested within the connection request body.

Properties

authType
string
required
Authentication type for Snowflake. Use pwd for password authentication.
account
string
required
Snowflake account identifier.Format: {account_identifier}.{region}.{cloud_provider}.snowflakecomputing.com
username
string
required
Snowflake username for authentication.
password
object
required
Reference to a Prophecy secret containing the Snowflake password.
  • When using the create connection API, the secret must be stored in Prophecy before creating the connection.
  • When using the create fabric API, replace this whole object with the string {{SECRET}}, which references the secret being created in parallel to the connection.
warehouse
string
required
Snowflake warehouse where Prophecy will write data by default.
database
string
required
Database where Prophecy will write data by default.
schema
string
required
Schema where Prophecy will write data by default.
role
string
required
Snowflake role to use for the connection. Determines the permissions and access level for operations.